// Verilog netlist produced by program LSE :  version Diamond (64-bit) 3.13.0.56.2
// Netlist written on Sun Jul 21 12:03:02 2024
//
// Verilog Description of module VGA
//

module VGA (Clock, Reset, Red_o, Green_o, Blue_o, HSync_o, VSync_o) /* synthesis syn_module_defined=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(4[8:11])
    input Clock;   // c:/lattice/kurs27/impl1/source/vga.v(5[14:19])
    input Reset;   // c:/lattice/kurs27/impl1/source/vga.v(6[14:19])
    output Red_o;   // c:/lattice/kurs27/impl1/source/vga.v(7[14:19])
    output Green_o;   // c:/lattice/kurs27/impl1/source/vga.v(8[14:21])
    output Blue_o;   // c:/lattice/kurs27/impl1/source/vga.v(9[14:20])
    output HSync_o;   // c:/lattice/kurs27/impl1/source/vga.v(10[14:21])
    output VSync_o;   // c:/lattice/kurs27/impl1/source/vga.v(11[14:21])
    
    wire Clock_c /* synthesis SET_AS_NETWORK=Clock_c, is_clock=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(5[14:19])
    
    wire GND_net, VCC_net, Reset_c, Red_o_c, Green_o_c, Blue_o_c, 
        HSync_o_c, VSync_o_c;
    wire [9:0]HCounter;   // c:/lattice/kurs27/impl1/source/vga.v(15[12:20])
    wire [9:0]VCounter;   // c:/lattice/kurs27/impl1/source/vga.v(16[12:20])
    wire [6:0]Sum;   // c:/lattice/kurs27/impl1/source/vga.v(47[13:16])
    
    wire n19, n876, n426, Clock_c_enable_2, n19_adj_1, n875, n516, 
        n944, Blue_o_N_68, Green_o_N_65, Red_o_N_61, n44, n874, 
        HSync_o_N_69, n41, VState_1__N_58, n42, n19_adj_2, n43, 
        VSync_o_N_71, n48, n1004, n36, n47, n37, n38, n46, n39, 
        n229, n230, n231, n232, Clock_c_enable_1, n525, n277, 
        n278, n279, n280, Clock_c_enable_3, n356, n290, n293, 
        n296, n965, n40, n873, n872, n12, n45, n963, n1003, 
        n959, n19_adj_3, n49, n50, n51, n52, n53, n54, n55, 
        n448, n443, n441, n439, n437, n431, n871, n881, n1002, 
        n1001, n880, n879, n878, n12_adj_4, n877, n1000, n947, 
        n8;
    
    VHI i848 (.Z(VCC_net));
    LUT4 i2_3_lut_rep_8_4_lut (.A(HCounter[8]), .B(HCounter[9]), .C(HCounter[4]), 
         .D(HCounter[7]), .Z(n1002)) /* synthesis lut_function=(A+((C+!(D))+!B)) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(88[9:24])
    defparam i2_3_lut_rep_8_4_lut.init = 16'hfbff;
    LUT4 i189_1_lut (.A(n230), .Z(HSync_o_N_69)) /* synthesis lut_function=(!(A)) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(61[4] 109[11])
    defparam i189_1_lut.init = 16'h5555;
    LUT4 i3_4_lut (.A(n277), .B(n279), .C(n232), .D(n278), .Z(n426)) /* synthesis lut_function=(A+(B+((D)+!C))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(60[8] 110[6])
    defparam i3_4_lut.init = 16'hffef;
    LUT4 i836_3_lut_4_lut (.A(VCounter[1]), .B(n944), .C(n279), .D(VState_1__N_58), 
         .Z(Clock_c_enable_1)) /* synthesis lut_function=(!(A (C+!(D))+!A (B (C+!(D))+!B !(D)))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(124[9:24])
    defparam i836_3_lut_4_lut.init = 16'h1f00;
    LUT4 i308_4_lut (.A(n229), .B(n19_adj_1), .C(VState_1__N_58), .D(n230), 
         .Z(n443)) /* synthesis lut_function=(!(A (B (C)+!B !((D)+!C))+!A (B+!(D)))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(61[4] 109[11])
    defparam i308_4_lut.init = 16'h3b0a;
    LUT4 i306_4_lut (.A(n230), .B(n19), .C(n19_adj_1), .D(n231), .Z(n441)) /* synthesis lut_function=(A (B (C)+!B (C+(D)))+!A !(B+!(D))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(61[4] 109[11])
    defparam i306_4_lut.init = 16'hb3a0;
    LUT4 i2_3_lut_rep_7 (.A(HCounter[6]), .B(n881), .C(HCounter[5]), .Z(n1001)) /* synthesis lut_function=(A+((C)+!B)) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(120[11:26])
    defparam i2_3_lut_rep_7.init = 16'hfbfb;
    LUT4 i304_4_lut (.A(n231), .B(n19_adj_3), .C(n19), .D(n232), .Z(n439)) /* synthesis lut_function=(A (B (C)+!B (C+(D)))+!A !(B+!(D))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(61[4] 109[11])
    defparam i304_4_lut.init = 16'hb3a0;
    LUT4 i1_2_lut_4_lut (.A(HCounter[6]), .B(n881), .C(HCounter[5]), .D(n1002), 
         .Z(n19)) /* synthesis lut_function=(A+((C+(D))+!B)) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(120[11:26])
    defparam i1_2_lut_4_lut.init = 16'hfffb;
    LUT4 i190_1_lut (.A(n278), .Z(VSync_o_N_71)) /* synthesis lut_function=(!(A)) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(121[4] 146[11])
    defparam i190_1_lut.init = 16'h5555;
    OB VSync_o_pad (.I(VSync_o_c), .O(VSync_o));   // c:/lattice/kurs27/impl1/source/vga.v(11[14:21])
    OB HSync_o_pad (.I(HSync_o_c), .O(HSync_o));   // c:/lattice/kurs27/impl1/source/vga.v(10[14:21])
    LUT4 i312_4_lut (.A(n280), .B(n1000), .C(n19_adj_2), .D(n277), .Z(n448)) /* synthesis lut_function=(A (B (C)+!B (C+(D)))+!A !(B+!(D))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(121[4] 146[11])
    defparam i312_4_lut.init = 16'hb3a0;
    FD1S3IX HCounter_195__i0 (.D(n55), .CK(Clock_c), .CD(VState_1__N_58), 
            .Q(HCounter[0])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195__i0.GSR = "ENABLED";
    FD1S3IX Red_o_62 (.D(Red_o_N_61), .CK(Clock_c), .CD(n426), .Q(Red_o_c));   // c:/lattice/kurs27/impl1/source/vga.v(60[8] 110[6])
    defparam Red_o_62.GSR = "ENABLED";
    LUT4 i833_3_lut_4_lut (.A(VCounter[1]), .B(n944), .C(n278), .D(VState_1__N_58), 
         .Z(Clock_c_enable_2)) /* synthesis lut_function=(!(A (B (C+!(D))+!B !(D))+!A (C+!(D)))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(124[9:24])
    defparam i833_3_lut_4_lut.init = 16'h2f00;
    OB Green_o_pad (.I(Green_o_c), .O(Green_o));   // c:/lattice/kurs27/impl1/source/vga.v(8[14:21])
    FD1S3IX Green_o_63 (.D(Green_o_N_65), .CK(Clock_c), .CD(n426), .Q(Green_o_c));   // c:/lattice/kurs27/impl1/source/vga.v(60[8] 110[6])
    defparam Green_o_63.GSR = "ENABLED";
    FD1S3IX Blue_o_64 (.D(Blue_o_N_68), .CK(Clock_c), .CD(n426), .Q(Blue_o_c));   // c:/lattice/kurs27/impl1/source/vga.v(60[8] 110[6])
    defparam Blue_o_64.GSR = "ENABLED";
    LUT4 i1_2_lut_4_lut_adj_1 (.A(HCounter[7]), .B(HCounter[4]), .C(n1004), 
         .D(n965), .Z(n19_adj_1)) /* synthesis lut_function=((B+(C+!(D)))+!A) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(97[9:24])
    defparam i1_2_lut_4_lut_adj_1.init = 16'hfdff;
    OB Red_o_pad (.I(Red_o_c), .O(Red_o));   // c:/lattice/kurs27/impl1/source/vga.v(7[14:19])
    LUT4 i1_2_lut_rep_9 (.A(HCounter[7]), .B(HCounter[4]), .Z(n1003)) /* synthesis lut_function=(A+!(B)) */ ;
    defparam i1_2_lut_rep_9.init = 16'hbbbb;
    FD1P3IX VCounter_196__i1 (.D(n44), .SP(VState_1__N_58), .CD(n525), 
            .CK(Clock_c), .Q(VCounter[1])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196__i1.GSR = "ENABLED";
    FD1P3IX VCounter_196__i0 (.D(n45), .SP(VState_1__N_58), .CD(n525), 
            .CK(Clock_c), .Q(VCounter[0])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196__i0.GSR = "ENABLED";
    FD1S3AY HState_FSM_i0 (.D(n437), .CK(Clock_c), .Q(n232));   // c:/lattice/kurs27/impl1/source/vga.v(61[4] 109[11])
    defparam HState_FSM_i0.GSR = "ENABLED";
    FD1P3IX VCounter_196__i6 (.D(n39), .SP(VState_1__N_58), .CD(n525), 
            .CK(Clock_c), .Q(VCounter[6])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196__i6.GSR = "ENABLED";
    FD1P3IX VCounter_196__i3 (.D(n42), .SP(VState_1__N_58), .CD(n525), 
            .CK(Clock_c), .Q(VCounter[3])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196__i3.GSR = "ENABLED";
    FD1P3IX VCounter_196__i5 (.D(n40), .SP(VState_1__N_58), .CD(n525), 
            .CK(Clock_c), .Q(VCounter[5])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196__i5.GSR = "ENABLED";
    FD1P3IX VCounter_196__i4 (.D(n41), .SP(VState_1__N_58), .CD(n525), 
            .CK(Clock_c), .Q(VCounter[4])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196__i4.GSR = "ENABLED";
    FD1P3IX VCounter_196__i2 (.D(n43), .SP(VState_1__N_58), .CD(n525), 
            .CK(Clock_c), .Q(VCounter[2])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196__i2.GSR = "ENABLED";
    FD1S3IX HCounter_195__i9 (.D(n46), .CK(Clock_c), .CD(VState_1__N_58), 
            .Q(HCounter[9])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195__i9.GSR = "ENABLED";
    FD1P3IX VCounter_196__i7 (.D(n38), .SP(VState_1__N_58), .CD(n525), 
            .CK(Clock_c), .Q(VCounter[7])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196__i7.GSR = "ENABLED";
    FD1S3IX HCounter_195__i8 (.D(n47), .CK(Clock_c), .CD(VState_1__N_58), 
            .Q(HCounter[8])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195__i8.GSR = "ENABLED";
    FD1S3IX HCounter_195__i7 (.D(n48), .CK(Clock_c), .CD(VState_1__N_58), 
            .Q(HCounter[7])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195__i7.GSR = "ENABLED";
    FD1P3AX VState_FSM_i0_i1 (.D(n290), .SP(Clock_c_enable_1), .CK(Clock_c), 
            .Q(n279));   // c:/lattice/kurs27/impl1/source/vga.v(121[4] 146[11])
    defparam VState_FSM_i0_i1.GSR = "ENABLED";
    LUT4 i2_3_lut_4_lut (.A(HCounter[7]), .B(HCounter[4]), .C(n1004), 
         .D(n965), .Z(n19_adj_3)) /* synthesis lut_function=(A+((C+!(D))+!B)) */ ;
    defparam i2_3_lut_4_lut.init = 16'hfbff;
    FD1P3AX VState_FSM_i0_i2 (.D(n293), .SP(Clock_c_enable_2), .CK(Clock_c), 
            .Q(n278));   // c:/lattice/kurs27/impl1/source/vga.v(121[4] 146[11])
    defparam VState_FSM_i0_i2.GSR = "ENABLED";
    FD1S3IX HCounter_195__i6 (.D(n49), .CK(Clock_c), .CD(VState_1__N_58), 
            .Q(HCounter[6])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195__i6.GSR = "ENABLED";
    FD1S3IX HCounter_195__i5 (.D(n50), .CK(Clock_c), .CD(VState_1__N_58), 
            .Q(HCounter[5])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195__i5.GSR = "ENABLED";
    FD1P3AX VState_FSM_i0_i3 (.D(n296), .SP(Clock_c_enable_3), .CK(Clock_c), 
            .Q(n277));   // c:/lattice/kurs27/impl1/source/vga.v(121[4] 146[11])
    defparam VState_FSM_i0_i3.GSR = "ENABLED";
    FD1S3IX HCounter_195__i4 (.D(n51), .CK(Clock_c), .CD(VState_1__N_58), 
            .Q(HCounter[4])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195__i4.GSR = "ENABLED";
    FD1S3IX HCounter_195__i3 (.D(n52), .CK(Clock_c), .CD(VState_1__N_58), 
            .Q(HCounter[3])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195__i3.GSR = "ENABLED";
    FD1S3IX HCounter_195__i2 (.D(n53), .CK(Clock_c), .CD(VState_1__N_58), 
            .Q(HCounter[2])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195__i2.GSR = "ENABLED";
    FD1P3IX VCounter_196__i8 (.D(n37), .SP(VState_1__N_58), .CD(n525), 
            .CK(Clock_c), .Q(VCounter[8])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196__i8.GSR = "ENABLED";
    LUT4 i156_2_lut_3_lut (.A(VCounter[1]), .B(n944), .C(n278), .Z(n296)) /* synthesis lut_function=(!((B+!(C))+!A)) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(124[9:24])
    defparam i156_2_lut_3_lut.init = 16'h2020;
    LUT4 i2_4_lut (.A(n431), .B(VCounter[6]), .C(n356), .D(HCounter[6]), 
         .Z(Sum[2])) /* synthesis lut_function=(A (B (D)+!B !(D))+!A (B (C (D)+!C !(D))+!B !(C (D)+!C !(D)))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(47[19:48])
    defparam i2_4_lut.init = 16'hc936;
    FD1P3IX VCounter_196__i9 (.D(n36), .SP(VState_1__N_58), .CD(n525), 
            .CK(Clock_c), .Q(VCounter[9])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196__i9.GSR = "ENABLED";
    FD1S3IX HCounter_195__i1 (.D(n54), .CK(Clock_c), .CD(VState_1__N_58), 
            .Q(HCounter[1])) /* synthesis syn_use_carry_chain=1 */ ;   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195__i1.GSR = "ENABLED";
    LUT4 i5_4_lut (.A(VCounter[8]), .B(VCounter[1]), .C(VCounter[6]), 
         .D(VCounter[9]), .Z(n12_adj_4)) /* synthesis lut_function=(A+(B+(C+!(D)))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(124[9:24])
    defparam i5_4_lut.init = 16'hfeff;
    LUT4 i1_2_lut (.A(VCounter[7]), .B(VCounter[0]), .Z(n8)) /* synthesis lut_function=(A+(B)) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(124[9:24])
    defparam i1_2_lut.init = 16'heeee;
    FD1S3AY HSync_o_66 (.D(HSync_o_N_69), .CK(Clock_c), .Q(HSync_o_c));   // c:/lattice/kurs27/impl1/source/vga.v(60[8] 110[6])
    defparam HSync_o_66.GSR = "ENABLED";
    LUT4 i1_2_lut_adj_2 (.A(VCounter[5]), .B(VCounter[2]), .Z(n947)) /* synthesis lut_function=(A+!(B)) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(124[9:24])
    defparam i1_2_lut_adj_2.init = 16'hbbbb;
    FD1S3AX HState_FSM_i3 (.D(n443), .CK(Clock_c), .Q(n229));   // c:/lattice/kurs27/impl1/source/vga.v(61[4] 109[11])
    defparam HState_FSM_i3.GSR = "ENABLED";
    FD1S3AX HState_FSM_i2 (.D(n441), .CK(Clock_c), .Q(n230));   // c:/lattice/kurs27/impl1/source/vga.v(61[4] 109[11])
    defparam HState_FSM_i2.GSR = "ENABLED";
    LUT4 equal_89_i12_2_lut (.A(VCounter[3]), .B(VCounter[4]), .Z(n12)) /* synthesis lut_function=((B)+!A) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(136[9:24])
    defparam equal_89_i12_2_lut.init = 16'hdddd;
    FD1S3AX HState_FSM_i1 (.D(n439), .CK(Clock_c), .Q(n231));   // c:/lattice/kurs27/impl1/source/vga.v(61[4] 109[11])
    defparam HState_FSM_i1.GSR = "ENABLED";
    OB Blue_o_pad (.I(Blue_o_c), .O(Blue_o));   // c:/lattice/kurs27/impl1/source/vga.v(9[14:20])
    FD1P3AY VSync_o_68 (.D(VSync_o_N_71), .SP(VState_1__N_58), .CK(Clock_c), 
            .Q(VSync_o_c));   // c:/lattice/kurs27/impl1/source/vga.v(120[8] 147[6])
    defparam VSync_o_68.GSR = "ENABLED";
    FD1P3AY VState_FSM_i0_i0 (.D(n448), .SP(VState_1__N_58), .CK(Clock_c), 
            .Q(n280));   // c:/lattice/kurs27/impl1/source/vga.v(121[4] 146[11])
    defparam VState_FSM_i0_i0.GSR = "ENABLED";
    GSR GSR_INST (.GSR(Reset_c));
    LUT4 i847_4_lut (.A(HCounter[8]), .B(HCounter[9]), .C(n1001), .D(n1003), 
         .Z(VState_1__N_58)) /* synthesis lut_function=(!(((C+(D))+!B)+!A)) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(120[11:26])
    defparam i847_4_lut.init = 16'h0008;
    LUT4 i2_3_lut_4_lut_adj_3 (.A(HCounter[4]), .B(VCounter[4]), .C(HCounter[5]), 
         .D(VCounter[5]), .Z(Sum[1])) /* synthesis lut_function=(A (B (C (D)+!C !(D))+!B !(C (D)+!C !(D)))+!A !(C (D)+!C !(D))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(47[19:48])
    defparam i2_3_lut_4_lut_adj_3.init = 16'h8778;
    IB Clock_pad (.I(Clock), .O(Clock_c));   // c:/lattice/kurs27/impl1/source/vga.v(5[14:19])
    IB Reset_pad (.I(Reset), .O(Reset_c));   // c:/lattice/kurs27/impl1/source/vga.v(6[14:19])
    LUT4 i302_4_lut (.A(n232), .B(VState_1__N_58), .C(n19_adj_3), .D(n229), 
         .Z(n437)) /* synthesis lut_function=(A (B (C+(D))+!B (C))+!A (B (D))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(61[4] 109[11])
    defparam i302_4_lut.init = 16'heca0;
    LUT4 i296_3_lut_4_lut (.A(HCounter[4]), .B(VCounter[4]), .C(VCounter[5]), 
         .D(HCounter[5]), .Z(n431)) /* synthesis lut_function=(A (B (D)+!B (C (D)))+!A (C (D))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(47[19:48])
    defparam i296_3_lut_4_lut.init = 16'hf800;
    CCU2D VCounter_196_add_4_11 (.A0(VCounter[9]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(GND_net), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .CIN(n880), .S0(n36));   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196_add_4_11.INIT0 = 16'hfaaa;
    defparam VCounter_196_add_4_11.INIT1 = 16'h0000;
    defparam VCounter_196_add_4_11.INJECT1_0 = "NO";
    defparam VCounter_196_add_4_11.INJECT1_1 = "NO";
    LUT4 i222_2_lut_3_lut (.A(HCounter[4]), .B(VCounter[4]), .C(VCounter[5]), 
         .Z(n356)) /* synthesis lut_function=(A (B (C))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(47[19:48])
    defparam i222_2_lut_3_lut.init = 16'h8080;
    LUT4 i823_3_lut (.A(n881), .B(HCounter[5]), .C(HCounter[6]), .Z(n965)) /* synthesis lut_function=(A (B (C))) */ ;
    defparam i823_3_lut.init = 16'h8080;
    LUT4 i11_3_lut_4_lut (.A(HCounter[4]), .B(VCounter[4]), .C(Sum[1]), 
         .D(Sum[2]), .Z(Blue_o_N_68)) /* synthesis lut_function=(!(A (B (C+!(D))+!B !(C+(D)))+!A !(B (C+(D))+!B !(C+!(D))))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(47[19:48])
    defparam i11_3_lut_4_lut.init = 16'h6f60;
    LUT4 i150_2_lut (.A(n19_adj_2), .B(n280), .Z(n290)) /* synthesis lut_function=(!(A+!(B))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(121[4] 146[11])
    defparam i150_2_lut.init = 16'h4444;
    LUT4 i1_4_lut_rep_6 (.A(n947), .B(n12), .C(n12_adj_4), .D(n8), .Z(n1000)) /* synthesis lut_function=(A+(B+(C+(D)))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(124[9:24])
    defparam i1_4_lut_rep_6.init = 16'hfffe;
    CCU2D VCounter_196_add_4_9 (.A0(VCounter[7]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(VCounter[8]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n879), .COUT(n880), .S0(n38), .S1(n37));   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196_add_4_9.INIT0 = 16'hfaaa;
    defparam VCounter_196_add_4_9.INIT1 = 16'hfaaa;
    defparam VCounter_196_add_4_9.INJECT1_0 = "NO";
    defparam VCounter_196_add_4_9.INJECT1_1 = "NO";
    CCU2D HCounter_195_add_4_11 (.A0(HCounter[9]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(GND_net), .B1(GND_net), .C1(GND_net), .D1(GND_net), 
          .CIN(n875), .S0(n46));   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195_add_4_11.INIT0 = 16'hfaaa;
    defparam HCounter_195_add_4_11.INIT1 = 16'h0000;
    defparam HCounter_195_add_4_11.INJECT1_0 = "NO";
    defparam HCounter_195_add_4_11.INJECT1_1 = "NO";
    CCU2D HCounter_195_add_4_9 (.A0(HCounter[7]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(HCounter[8]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n874), .COUT(n875), .S0(n48), .S1(n47));   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195_add_4_9.INIT0 = 16'hfaaa;
    defparam HCounter_195_add_4_9.INIT1 = 16'hfaaa;
    defparam HCounter_195_add_4_9.INJECT1_0 = "NO";
    defparam HCounter_195_add_4_9.INJECT1_1 = "NO";
    CCU2D VCounter_196_add_4_7 (.A0(VCounter[5]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(VCounter[6]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n878), .COUT(n879), .S0(n40), .S1(n39));   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196_add_4_7.INIT0 = 16'hfaaa;
    defparam VCounter_196_add_4_7.INIT1 = 16'hfaaa;
    defparam VCounter_196_add_4_7.INJECT1_0 = "NO";
    defparam VCounter_196_add_4_7.INJECT1_1 = "NO";
    CCU2D HCounter_195_add_4_1 (.A0(GND_net), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(HCounter[0]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .COUT(n871), .S1(n55));   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195_add_4_1.INIT0 = 16'hF000;
    defparam HCounter_195_add_4_1.INIT1 = 16'h0555;
    defparam HCounter_195_add_4_1.INJECT1_0 = "NO";
    defparam HCounter_195_add_4_1.INJECT1_1 = "NO";
    LUT4 i1_3_lut_4_lut (.A(HCounter[4]), .B(VCounter[4]), .C(Sum[2]), 
         .D(Sum[1]), .Z(Green_o_N_65)) /* synthesis lut_function=(!(A (B (C+!(D))+!B !((D)+!C))+!A !(B ((D)+!C)+!B !(C+!(D))))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(47[19:48])
    defparam i1_3_lut_4_lut.init = 16'h6f06;
    LUT4 i12_3_lut_4_lut (.A(HCounter[4]), .B(VCounter[4]), .C(Sum[2]), 
         .D(Sum[1]), .Z(Red_o_N_61)) /* synthesis lut_function=(!(A (B (C+(D))+!B !(C+!(D)))+!A !(B (C+!(D))+!B !(C+(D))))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(47[19:48])
    defparam i12_3_lut_4_lut.init = 16'h606f;
    LUT4 i839_2_lut_2_lut (.A(n1000), .B(VState_1__N_58), .Z(n525)) /* synthesis lut_function=(!(A+!(B))) */ ;
    defparam i839_2_lut_2_lut.init = 16'h4444;
    LUT4 i153_2_lut_3_lut (.A(VCounter[1]), .B(n944), .C(n279), .Z(n293)) /* synthesis lut_function=(!(A+(B+!(C)))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(124[9:24])
    defparam i153_2_lut_3_lut.init = 16'h1010;
    LUT4 i4_4_lut (.A(n959), .B(n947), .C(VCounter[1]), .D(n516), .Z(n19_adj_2)) /* synthesis lut_function=((B+((D)+!C))+!A) */ ;
    defparam i4_4_lut.init = 16'hffdf;
    LUT4 i817_2_lut (.A(VCounter[3]), .B(VCounter[4]), .Z(n959)) /* synthesis lut_function=(A (B)) */ ;
    defparam i817_2_lut.init = 16'h8888;
    CCU2D VCounter_196_add_4_5 (.A0(VCounter[3]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(VCounter[4]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n877), .COUT(n878), .S0(n42), .S1(n41));   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196_add_4_5.INIT0 = 16'hfaaa;
    defparam VCounter_196_add_4_5.INIT1 = 16'hfaaa;
    defparam VCounter_196_add_4_5.INJECT1_0 = "NO";
    defparam VCounter_196_add_4_5.INJECT1_1 = "NO";
    TSALL TSALL_INST (.TSALL(GND_net));
    CCU2D HCounter_195_add_4_7 (.A0(HCounter[5]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(HCounter[6]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n873), .COUT(n874), .S0(n50), .S1(n49));   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195_add_4_7.INIT0 = 16'hfaaa;
    defparam HCounter_195_add_4_7.INIT1 = 16'hfaaa;
    defparam HCounter_195_add_4_7.INJECT1_0 = "NO";
    defparam HCounter_195_add_4_7.INJECT1_1 = "NO";
    CCU2D HCounter_195_add_4_5 (.A0(HCounter[3]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(HCounter[4]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n872), .COUT(n873), .S0(n52), .S1(n51));   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195_add_4_5.INIT0 = 16'hfaaa;
    defparam HCounter_195_add_4_5.INIT1 = 16'hfaaa;
    defparam HCounter_195_add_4_5.INJECT1_0 = "NO";
    defparam HCounter_195_add_4_5.INJECT1_1 = "NO";
    LUT4 i3_4_lut_adj_4 (.A(HCounter[3]), .B(HCounter[0]), .C(HCounter[2]), 
         .D(HCounter[1]), .Z(n881)) /* synthesis lut_function=(A (B (C (D)))) */ ;
    defparam i3_4_lut_adj_4.init = 16'h8000;
    PUR PUR_INST (.PUR(VCC_net));
    defparam PUR_INST.RST_PULSE = 1;
    LUT4 equal_84_i16_2_lut_rep_10 (.A(HCounter[8]), .B(HCounter[9]), .Z(n1004)) /* synthesis lut_function=(A+!(B)) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(88[9:24])
    defparam equal_84_i16_2_lut_rep_10.init = 16'hbbbb;
    VLO i1 (.Z(GND_net));
    LUT4 i3_4_lut_adj_5 (.A(VCounter[2]), .B(VCounter[5]), .C(n12), .D(n516), 
         .Z(n944)) /* synthesis lut_function=(A+((C+(D))+!B)) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(124[9:24])
    defparam i3_4_lut_adj_5.init = 16'hfffb;
    CCU2D HCounter_195_add_4_3 (.A0(HCounter[1]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(HCounter[2]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n871), .COUT(n872), .S0(n54), .S1(n53));   // c:/lattice/kurs27/impl1/source/vga.v(35[17:32])
    defparam HCounter_195_add_4_3.INIT0 = 16'hfaaa;
    defparam HCounter_195_add_4_3.INIT1 = 16'hfaaa;
    defparam HCounter_195_add_4_3.INJECT1_0 = "NO";
    defparam HCounter_195_add_4_3.INJECT1_1 = "NO";
    LUT4 i1_4_lut (.A(VCounter[9]), .B(VCounter[6]), .C(n963), .D(VCounter[0]), 
         .Z(n516)) /* synthesis lut_function=(A+!(B (C (D)))) */ ;
    defparam i1_4_lut.init = 16'hbfff;
    CCU2D VCounter_196_add_4_3 (.A0(VCounter[1]), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(VCounter[2]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .CIN(n876), .COUT(n877), .S0(n44), .S1(n43));   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196_add_4_3.INIT0 = 16'hfaaa;
    defparam VCounter_196_add_4_3.INIT1 = 16'hfaaa;
    defparam VCounter_196_add_4_3.INJECT1_0 = "NO";
    defparam VCounter_196_add_4_3.INJECT1_1 = "NO";
    LUT4 i821_2_lut (.A(VCounter[7]), .B(VCounter[8]), .Z(n963)) /* synthesis lut_function=(A (B)) */ ;
    defparam i821_2_lut.init = 16'h8888;
    LUT4 i830_3_lut (.A(n1000), .B(VState_1__N_58), .C(n277), .Z(Clock_c_enable_3)) /* synthesis lut_function=(!(A ((C)+!B)+!A !(B))) */ ;   // c:/lattice/kurs27/impl1/source/vga.v(121[4] 146[11])
    defparam i830_3_lut.init = 16'h4c4c;
    CCU2D VCounter_196_add_4_1 (.A0(GND_net), .B0(GND_net), .C0(GND_net), 
          .D0(GND_net), .A1(VCounter[0]), .B1(GND_net), .C1(GND_net), 
          .D1(GND_net), .COUT(n876), .S1(n45));   // c:/lattice/kurs27/impl1/source/vga.v(39[18:33])
    defparam VCounter_196_add_4_1.INIT0 = 16'hF000;
    defparam VCounter_196_add_4_1.INIT1 = 16'h0555;
    defparam VCounter_196_add_4_1.INJECT1_0 = "NO";
    defparam VCounter_196_add_4_1.INJECT1_1 = "NO";
    
endmodule
//
// Verilog Description of module TSALL
// module not written out since it is a black-box. 
//

//
// Verilog Description of module PUR
// module not written out since it is a black-box. 
//

